SharpMap and WPF 4.0

Topics: CompactFramework, General Topics, SharpMap Project, SharpMap v0.9 / v1.x
Jul 31, 2011 at 2:16 PM

Hi Guys,

I struggling trying to use SharpMap with WPF 4.0 (Not Asp.net), i'm getting the error:

"The referenced assembly "SharpMap" could not be resolved because it has a dependency on "System.Web, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" which is not in the currently targeted framework ".NETFramework,Version=v4.0,Profile=Client". Please remove references to assemblies not in the targeted framework or consider retargeting your project"

I can't add System.Web because it's not a Web application and it isn't exist in the .Net reference tab.

Anyone can help?

Thanks!

 

Idan

 

Coordinator
Aug 1, 2011 at 5:03 PM

If you need client profile, you need to see which sharpmap core components rely on System.Web and abandon those.

Hth FObermaier